(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// library properties:
lib.properties = {
	width: 500,
	height: 364,
	fps: 24,
	color: "#000000",
	manifest: [
		{src:"images/interfazblender.jpg", id:"interfazblender"}
	]
};

// stage content:
(lib.interfaz = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.stop();
		this.marco1.visible=false;
		this.marco2.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=false;
		this.marco5.visible=false;
		this.marco6.visible=false;
		
		
		
		
		
		this.button_1.addEventListener("click", fl_ClickToGoToAndStopAtFrame.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame()
		{
			this.gotoAndStop(1);
			this.marco1.visible=true;
		this.marco2.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=false;
			this.marco5.visible=false;
			this.marco6.visible=false;
		
		
		}
		
		this.button_2.addEventListener("click", fl_ClickToGoToAndStopAtFrame_2.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_2()
		{
			this.gotoAndStop(2);
			this.marco2.visible=true;
			this.marco1.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=false;
			this.marco5.visible=false;
			this.marco6.visible=false;
		
		
		}
		
		this.button_4.addEventListener("click", fl_ClickToGoToAndStopAtFrame_4.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_4()
		{
			this.gotoAndStop(3);
			this.marco1.visible=false;
		this.marco2.visible=false;
		this.marco3.visible=true;
		this.marco4.visible=false;
			this.marco5.visible=false;
			this.marco6.visible=false;
		
		
		}
		
		this.button_5.addEventListener("click", fl_ClickToGoToAndStopAtFrame_5.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_5()
		{
			this.gotoAndStop(3);
		}
		
		this.button_6.addEventListener("click", fl_ClickToGoToAndStopAtFrame_6.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_6()
		{
			this.gotoAndStop(5);
			this.marco1.visible=false;
		this.marco2.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=false;
			this.marco5.visible=true;
			this.marco6.visible=false;
		
		}
		
		this.button_7.addEventListener("click", fl_ClickToGoToAndStopAtFrame_7.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_7()
		{
			this.gotoAndStop(4);
			this.marco1.visible=false;
		this.marco2.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=true;
			this.marco5.visible=false;
			this.marco6.visible=false;
		
		
		}
		
		this.button_8.addEventListener("click", fl_ClickToGoToAndStopAtFrame_8.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame_8()
		{
			this.gotoAndStop(6);
				this.marco1.visible=false;
		this.marco2.visible=false;
		this.marco3.visible=false;
		this.marco4.visible=false;
			this.marco5.visible=false;
			this.marco6.visible=true;
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(7));

	// Capa 4
	this.text = new cjs.Text("INTERFAZ", "35px 'Gill Sans'", "#FFFFFF");
	this.text.textAlign = "center";
	this.text.lineHeight = 37;
	this.text.lineWidth = 471;
	this.text.setTransform(248,10.4);

	this.timeline.addTween(cjs.Tween.get(this.text).wait(1).to({text:"VENTANA DE INFORMACIÓN"},0).wait(1).to({text:"VENTANA 3D"},0).wait(1).to({text:"PANELES APILABLES"},0).wait(1).to({text:"TIMELINE"},0).wait(1).to({text:"OUTLINER"},0).wait(1).to({text:"PARÁMETROS"},0).wait(1));

	// Capa 2
	this.marco6 = new lib.Símbolo14();
	this.marco6.setTransform(466.9,269.4,1,1,0,0,0,33.1,94.7);
	this.marco6.alpha = 0.199;

	this.marco5 = new lib.Símbolo13();
	this.marco5.setTransform(465.9,127.6,1,1,0,0,0,33.1,47.1);
	this.marco5.alpha = 0.25;

	this.marco4 = new lib.Símbolo12();
	this.marco4.setTransform(216.9,349,1,1,0,0,0,216.9,12);
	this.marco4.alpha = 0.25;

	this.marco1 = new lib.Símbolo11();
	this.marco1.setTransform(250,75.5,1,1,0,0,0,250,4.5);
	this.marco1.alpha = 0.25;

	this.marco3 = new lib.Símbolo10();
	this.marco3.setTransform(30.9,202,1,1,0,0,0,30,123.3);
	this.marco3.alpha = 0.25;

	this.marco2 = new lib.Símbolo9();
	this.marco2.setTransform(209.9,204,1,1,0,0,0,152,121.5);
	this.marco2.alpha = 0.25;

	this.button_5 = new lib.Símbolo4();
	this.button_5.setTransform(399.4,202.9,1,1,0,0,0,34.5,122.4);
	this.button_5.alpha = 0.012;
	new cjs.ButtonHelper(this.button_5, 0, 1, 1);

	this.button_4 = new lib.Símbolo2();
	this.button_4.setTransform(30.9,202,1,1,0,0,0,30,123.3);
	this.button_4.alpha = 0.012;
	new cjs.ButtonHelper(this.button_4, 0, 1, 1);

	this.button_7 = new lib.Símbolo7();
	this.button_7.setTransform(216.9,349.8,1,1,0,0,0,216.9,12);
	this.button_7.alpha = 0.012;
	new cjs.ButtonHelper(this.button_7, 0, 1, 1);

	this.button_8 = new lib.Símbolo6();
	this.button_8.setTransform(466.9,269.4,1,1,0,0,0,33.1,94.7);
	this.button_8.alpha = 0.012;
	new cjs.ButtonHelper(this.button_8, 0, 1, 1);

	this.button_6 = new lib.Símbolo5();
	this.button_6.setTransform(466.9,127.6,1,1,0,0,0,33.1,47.1);
	this.button_6.alpha = 0.012;
	new cjs.ButtonHelper(this.button_6, 0, 1, 1);

	this.button_2 = new lib.Símbolo3();
	this.button_2.setTransform(212.9,202,1,1,0,0,0,152,121.5);
	this.button_2.alpha = 0.012;
	new cjs.ButtonHelper(this.button_2, 0, 1, 1);

	this.button_1 = new lib.Símbolo1();
	this.button_1.setTransform(250,73.6,1,1,0,0,0,250,4.5);
	this.button_1.alpha = 0.012;
	new cjs.ButtonHelper(this.button_1, 0, 1, 1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.button_1},{t:this.button_2},{t:this.button_6},{t:this.button_8},{t:this.button_7},{t:this.button_4},{t:this.button_5},{t:this.marco2},{t:this.marco3},{t:this.marco1},{t:this.marco4},{t:this.marco5},{t:this.marco6}]}).wait(7));

	// Capa 1
	this.instance = new lib.interfazblender();
	this.instance.setTransform(0,60,0.391,0.391);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(7));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(249,192.4,502,354.7);


// symbols:
(lib.interfazblender = function() {
	this.initialize(img.interfazblender);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1278,777);


(lib.Símbolo14 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AlKuxIKVAAIAAdjIqVAAg");
	this.shape.setTransform(33.1,94.7);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AlKOyIAA9jIKVAAIAAdjg");
	this.shape_1.setTransform(33.1,94.7);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,68.2,191.4);


(lib.Símbolo13 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AlKnWIKVAAIAAOtIqVAAg");
	this.shape.setTransform(33.1,47.1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AlKHXIAAutIKVAAIAAOtg");
	this.shape_1.setTransform(33.1,47.1);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,68.2,96.2);


(lib.Símbolo12 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("Egh4gB3MBDxAAAIAADvMhDxAAAg");
	this.shape.setTransform(216.9,12);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("Egh4AB4IAAjvMBDwAAAIAADvg");
	this.shape_1.setTransform(216.9,12);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,435.8,26);


(lib.Símbolo11 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("EgnDgAsMBOHAAAIAABZMhOHAAAg");
	this.shape.setTransform(250,4.6);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("EgnDAAtIAAhZMBOHAAAIAABZg");
	this.shape_1.setTransform(250,4.6);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,502,11.1);


(lib.Símbolo10 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AWVzQILlAAMAAAAmNIrlAAgEgh5gTQIJYAAMAAAAmhIpYAAg");
	this.shape.setTransform(217,123.3);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("Egh5ATRMAAAgmhIJYAAMAAAAmhgAWVS9MAAAgmNILlAAMAAAAmNg");
	this.shape_1.setTransform(217,123.3);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,436.1,248.7);


(lib.Símbolo9 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("EghpgAzMBDTAAAIAABnMhDTAAAg");
	this.shape.setTransform(160,247.6,1,1.314);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("EghpAA0IAAhnMBDSAAAIAABng");
	this.shape_1.setTransform(160,247.6,1,1.314);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f().s("#FFFF00").ss(1,1,1).p("A3uTJMAAAgmRMAvdAAAMAAAAmR");
	this.shape_2.setTransform(152.4,120.9);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFF00").s().p("A3uTJMAAAgmRMAvdAAAMAAAAmRg");
	this.shape_3.setTransform(152.4,120.9);

	this.addChild(this.shape_3,this.shape_2,this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-56.4,-2.6,432.8,258.1);


(lib.Símbolo7 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("Egh4gB3MBDxAAAIAADvMhDxAAAg");
	this.shape.setTransform(216.9,12);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("Egh4AB4IAAjvMBDwAAAIAADvg");
	this.shape_1.setTransform(216.9,12);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,435.8,26);


(lib.Símbolo6 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AlKuxIKVAAIAAdjIqVAAg");
	this.shape.setTransform(33.1,94.7);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AlKOyIAA9jIKVAAIAAdjg");
	this.shape_1.setTransform(33.1,94.7);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,68.2,191.4);


(lib.Símbolo5 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AlKnWIKVAAIAAOtIqVAAg");
	this.shape.setTransform(33.1,47.1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AlKHXIAAutIKVAAIAAOtg");
	this.shape_1.setTransform(33.1,47.1);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,68.2,96.2);


(lib.Símbolo4 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AlXzHIKvAAMAAAAmPIqvAAg");
	this.shape.setTransform(34.5,122.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AlXTIMAAAgmPIKvAAMAAAAmPg");
	this.shape_1.setTransform(34.5,122.4);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,71,246.9);


(lib.Símbolo3 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("A3uy9MAvdAAAMAAAAl8MgvdAAAg");
	this.shape.setTransform(152,121.5);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("A3uS+MAAAgl8MAvdAAAMAAAAl8g");
	this.shape_1.setTransform(152,121.5);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,306,245);


(lib.Símbolo2 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("AkrzQIJXAAMAAAAmhIpXAAg");
	this.shape.setTransform(30,123.3);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("AkrTRMAAAgmhIJXAAMAAAAmhg");
	this.shape_1.setTransform(30,123.3);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,62,248.7);


(lib.Símbolo1 = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFF00").ss(1,1,1).p("EgnDgAsMBOHAAAIAABZMhOHAAAg");
	this.shape.setTransform(250,4.6);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFF00").s().p("EgnDAAtIAAhZMBOHAAAIAABZg");
	this.shape_1.setTransform(250,4.6);

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,502,11.1);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;